import { Component, ViewChild } from '@angular/core';
import { Platform } from 'ionic-angular';
import { StatusBar } from '@ionic-native/status-bar';
import { SplashScreen } from '@ionic-native/splash-screen';
import { NavController} from "ionic-angular";
import { MenuController} from "ionic-angular";
import { TabsPage } from '../pages/tabs/tabs';
import { HorarioPage } from '../pages/horario/horario';
import { AyudaPage } from '../pages/ayuda/ayuda';
import { RegistroPage } from '../pages/registro/registro';
import { LoginPage } from '../pages/login/login';
import { AutService } from '../services/aut';
import { UsuarioService } from '../services/usuario';
import firebase from 'firebase';
import { AsignaturasPage } from '../pages/asignaturas/asignaturas';
import { SuscripcionesPage } from '../pages/suscripciones/suscripciones';
import { Usuario} from "../models/usuario";

@Component({
  templateUrl: 'app.html'
})
export class MyApp {  
  rootPage: any = LoginPage;
  asignaturasPage = AsignaturasPage;
  suscripcionesPage = SuscripcionesPage;
  horarioPage = HorarioPage;  
  ayudaPage = AyudaPage;
  registroPage = RegistroPage;
  loginPage = LoginPage;
  isAuthenticated = false; 
  nickname = '';
  modoApp:string = 'alumno';
  @ViewChild('nav') nav: NavController;
  database;

  constructor(
      platform: Platform, 
      statusBar: StatusBar, 
      splashScreen: SplashScreen, 
      private menuCtrl: MenuController , 
      private autService: AutService,
      private usrService: UsuarioService      
  ) {      
      
      firebase.initializeApp({
        apiKey: "AIzaSyCl1hIlzYVT9TzHr4csCw28XmGpzGUp27U",
        authDomain: "eduagenda-b60d7.firebaseapp.com",
        databaseURL: "https://eduagenda-b60d7.firebaseio.com"
      });

      

    firebase.auth().onAuthStateChanged(user => {
      if(user){
        this.isAuthenticated = true;
        this.nickname = user.email;
        this.getModoApp();
        this.rootPage = TabsPage;
        
      }
      else {
        this.isAuthenticated = false;
        this.rootPage = LoginPage;
        
      }
    });
    platform.ready().then(() => {
      // Okay, so the platform is ready and our plugins are available.
      // Here you can do any higher level native things you might need.
      statusBar.styleDefault();
      splashScreen.hide();
      this.nav.setRoot(this.rootPage);
    });

  }

  onLoad(page:any) {
    this.nav.setRoot(page);
    this.menuCtrl.close();

  }

  onLogout() {
    this.autService.logout();
    this.menuCtrl.close();    
    this.nav.setRoot(LoginPage);
   
  }

  getModoApp(){    
    this.usrService.setUid(this.autService.getUid());
    this.usrService.leerDatosUsuario()
     .then ( data => {        
        const user = data.val();
        this.modoApp = user.tipo;         
        this.usrService.setUsuario(user);
      })
     .catch(e => console.log(e));                             
  }
}
