import { NgModule, ErrorHandler, LOCALE_ID } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { IonicApp, IonicModule, IonicErrorHandler } from 'ionic-angular';
import { MyApp } from './app.component';
import { NgCalendarModule  } from 'ionic2-calendar';
import { MensajesPage } from '../pages/mensajes/mensajes';
import { NotasPage } from '../pages/notas/notas';
import { NotasAlumnoPage } from '../pages/notas/notasAlumno';
import { NotasAsignaturaPage } from '../pages/notas/notasAsignatura';
import { NotasAsignaturaAluPage } from '../pages/notas/notasAsignaturaAlu';
import { NotasEventoPage } from '../pages/notas/notasEvento';
import { CalendarioPage } from '../pages/calendario/calendario';
import { AsignaturasPage } from '../pages/asignaturas/asignaturas';
import { AsignaturaPage } from '../pages/asignatura/asignatura';
import { HorarioPage } from '../pages/horario/horario';
import { AyudaPage } from '../pages/ayuda/ayuda';
import { TabsPage } from '../pages/tabs/tabs';
import { LoginPage } from '../pages/login/login';
import { RegistroPage } from '../pages/registro/registro';
import { EventosPage } from '../pages/eventos/eventos';
import { EventosAlumnosPage } from '../pages/eventos/eventosAlumnos';
import { AutService } from '../services/aut';
import { UsuarioService } from '../services/usuario';
import { AsignaturaService } from '../services/asignatura';
import { AsignaturasService } from '../services/asignaturas';
import { SuscripcionPage } from '../pages/suscripcion/suscripcion';
import { SuscripcionesPage } from '../pages/suscripciones/suscripciones';
import { HttpModule } from '@angular/http';

import { StatusBar } from '@ionic-native/status-bar';
import { SplashScreen } from '@ionic-native/splash-screen';

@NgModule({
  declarations: [
    MyApp,
    MensajesPage,
    NotasPage,
    NotasAlumnoPage,
    NotasAsignaturaPage,
    NotasAsignaturaAluPage,
    NotasEventoPage,
    CalendarioPage,
    AsignaturasPage,
    SuscripcionesPage,
    HorarioPage,    
    AyudaPage,
    LoginPage,
    RegistroPage,
    EventosPage,
    EventosAlumnosPage,
    AsignaturaPage,
    SuscripcionPage,
    TabsPage
  ],
  imports: [
    BrowserModule,
    HttpModule,
    NgCalendarModule,
    IonicModule.forRoot(MyApp)
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp,
    MensajesPage,
    NotasPage,
    NotasAlumnoPage,
    NotasAsignaturaPage,
    NotasEventoPage,
    NotasAsignaturaAluPage,
    CalendarioPage,
    AsignaturasPage,
    SuscripcionesPage,
    AsignaturaPage,
    SuscripcionPage,
    HorarioPage,    
    AyudaPage,
    LoginPage,
    EventosPage,
    EventosAlumnosPage,
    RegistroPage,
    TabsPage
  ],
  providers: [
    StatusBar,
    SplashScreen,
    AutService,  
    UsuarioService, 
    AsignaturaService,
    AsignaturasService,    
    {provide: ErrorHandler, useClass: IonicErrorHandler},
    { provide: LOCALE_ID, useValue: 'es-ES' }
  ]
})
export class AppModule {}
