import { Component } from '@angular/core';
import { NgForm } from '@angular/forms';
import { NavController } from 'ionic-angular';
import { UsuarioService } from '../../services/usuario';
import { AsignaturaService } from '../../services/asignatura';
import { AutService } from '../../services/aut';
import { AsignaturasPage } from '../../pages/asignaturas/asignaturas';
import { Asignatura} from "../../models/asignatura";

@Component({
  selector: 'page-asignatura',
  templateUrl: 'asignatura.html'
})
export class AsignaturaPage {
	asignatura:Asignatura;

	
	constructor(private usuario: UsuarioService, 
			private asigService: AsignaturaService, 
			private autService: AutService,
			private navCtrl: NavController) {
	 }

	 onCrear( form: NgForm) {
	 	const uid_profesor = this.autService.getUid();	 	
	 	this.asignatura = new Asignatura(uid_profesor,form.value.descripcion, form.value.color);
	 		 	 	
	 	this.autService.getToken()
	 		.then(token => {
	 			this.asigService.guardar(this.asignatura,token)
	 				.subscribe(data=> { 
	 					if(data.status == 200)
	 					{
	 						console.log(data);
	 						const datosBody = data["_body"]; 
	 						const obJSON = JSON.parse(datosBody);	
	 						const idAsig = obJSON['name'];
	 						console.log("Asignatura id: " + idAsig);
	 							
	 						
	 					}
	 					console.log(data);
	 					this.navCtrl.setRoot(AsignaturasPage);
	 				});
	 			});	 		 			 	
	 }

	 onCancelar() {
	 	this.navCtrl.setRoot(AsignaturasPage);
	 }

}