import { Component } from '@angular/core';
import { NavController, ViewController } from 'ionic-angular';
import { NgForm } from '@angular/forms';
import { CalendarioPage } from '../../pages/calendario/calendario';
import { Evento} from "../../models/evento";
import { EventoService } from '../../services/evento';

@Component({
  selector: 'page-eventosAlumnos',
  templateUrl: 'eventosAlumnos.html',
  providers: [EventoService]
})
export class EventosAlumnosPage {
  evento: Evento;
  erroresForm:string;
  errores:boolean;

  constructor(public navCtrl: NavController,
    private viewCtrl: ViewController,
    private eventService: EventoService) {
    this.evento = new Evento();
    this.evento.title = 'Nuevo evento';
    this.erroresForm='';
    this.errores = false;

  }

  checkData(form: NgForm) {
    var fechaInicio = new Date(form.value.startTime);
    var fechaFin = new Date(form.value.endTime);    
    if (fechaFin < fechaInicio) {
      this.errores = true;
      this.erroresForm ='La fecha de fin debe ser posterior a la de inicio';      
      return false;
    }
    return true;
  }  
  onCrear( form: NgForm) {
    if(!this.checkData(form))
      return false;
    this.eventService.guardarEvento(this.evento)
      .then( data => console.log("Evento guardado "));  
    this.viewCtrl.dismiss(); 
    
  }


  onCancelar()
  {
  	this.viewCtrl.dismiss();
  }

  onChangeStartTime()
  {    
    this.evento.endTime = this.evento.startTime;
  }

}
