import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { NgForm } from '@angular/forms';
import { LoadingController, AlertController } from 'ionic-angular';
import { AutService } from '../../services/aut';
import { TabsPage } from '../../pages/tabs/tabs';
import { UsuarioService } from '../../services/usuario';
import 'rxjs/Rx';
import { Http, Response } from '@angular/http';
import { Usuario} from "../../models/usuario";

@Component({
  selector: 'page-login',
  templateUrl: 'login.html'
})
export class LoginPage {

	constructor (private autService: AutService,
				private loadingCtrl: LoadingController,
				private alertCtrl: AlertController, 
        private usrService: UsuarioService,
        private navCtrl: NavController){

	}
  
  	onLogin(form: NgForm){
  		const loading = this.loadingCtrl.create({
  			content: "Log in ...."
  		});
  		loading.present();
  		this.autService.login(form.value.email, form.value.password)
  			.then(data => {  				
          this.usrService.setUid(data.uid);          
          this.usrService.leerDatosUsuario()
            .then( data =>  {
              this.usrService.usuario = data.val();
             }) 
            .catch ( e => console.log(e));
  				loading.dismiss();
          this.navCtrl.setRoot(TabsPage);

  			})
  			.catch(error => {
  				console.log(error);
  				loading.dismiss();
  				const alert = this.alertCtrl.create({
  					title: 'Error en el login',
  					message: error.message,
  					buttons: ['Ok']
  				});
  				alert.present();
  			});
  		console.log(form.value);
  }

}
