import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { AsignaturasService } from '../../services/asignaturas';
import { Asignatura} from "../../models/asignatura";
import { AutService } from '../../services/aut';
import { NotasAsignaturaPage } from '../../pages/notas/notasAsignatura';

@Component({
  selector: 'page-notas',
  templateUrl: 'notas.html'
})
export class NotasPage {
	public asignaturas: Asignatura[];

  	constructor(public navCtrl: NavController,
  		private asignatService: AsignaturasService,
      private autService: AutService) {
  			this.asignaturas=[];
  			this.loadAsignaturas();        
  	}

  	loadAsignaturas() {
  		const uid_profesor = this.autService.getUid();
      	this.asignatService.getAsignaturas(uid_profesor)
          .then (lista => {
            var lstAsig = lista.val();
            for(var elem in lstAsig)
            {             
              lstAsig[elem].id = elem;
              this.asignaturas.push(lstAsig[elem]);             
             }                                                     
          })
          .catch(error => console.log(error));  
  	}

    onSeleccionarAsignatura(event)
    {
      var uid = event.target.offsetParent.id;
      var titulo= event.target.innerText;      
      this.navCtrl.setRoot(NotasAsignaturaPage,{uidAsignatura: uid, tituloAsignatura: titulo});  
    }


}
