import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { AsignaturasService } from '../../services/asignaturas';
import { Asignatura} from "../../models/asignatura";
import { AutService } from '../../services/aut';
import { UsuarioService } from '../../services/usuario';
import { NotasAsignaturaAluPage } from '../../pages/notas/notasAsignaturaAlu';

@Component({
  selector: 'page-notasAlumno',
  templateUrl: 'notasAlumno.html'
})
export class NotasAlumnoPage {
	public asignaturas: Asignatura[];

  	constructor(public navCtrl: NavController,
  		private asigService: AsignaturasService,
      private autService: AutService,
      private usrService: UsuarioService) {        
  			this.asignaturas=[];
  			this.loadAsignaturas();
  	}

  	loadAsignaturas() {  
      var lstAsig;		
      this.autService.getCurrentUser()
        .then(uid => {
          this.usrService.setUid(uid);
          this.usrService.leerDatosUsuario()
            .then(data => {
              var usuario = data.val();
              lstAsig = usuario.suscripciones;
              
              for(var elem in lstAsig)
                {                  
                  if(lstAsig[elem]!='')
                  {
                    this.asigService.getAsignatura(lstAsig[elem])
                      .then(data => {
                        var asig = data.val();                       
                        asig.id = lstAsig[elem];
                        this.asignaturas.push(asig);
                      });
                  }
                 }     
               });
            });
          	  
  	}

    onSeleccionarAsignatura(event)
    {
      var uid = event.target.offsetParent.id;
      var titulo= event.target.innerText;      
      this.navCtrl.setRoot(NotasAsignaturaAluPage,{uidAsignatura: uid, tituloAsignatura: titulo});  
    }


}
