import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';
import { EventoService } from '../../services/evento';
import { AutService } from '../../services/aut';
import { Evento } from "../../models/evento";
import { NotasPage } from '../../pages/notas/notas';
import { NotasEventoPage } from '../../pages/notas/notasEvento';

@Component({
  selector: 'page-notasAsignatura',
  templateUrl: 'notasAsignatura.html',
  providers: [EventoService]
})
export class NotasAsignaturaPage {
  public eventos: any;
  private uidAsignatura : string;
  private tituloAsignatura:string;

  constructor(public navCtrl: NavController,
    private navParams: NavParams,
    private eventService: EventoService,
    private autService: AutService) {
    
    this.eventos = [];
    this.uidAsignatura = navParams.get('uidAsignatura');
     this.tituloAsignatura = navParams.get('tituloAsignatura');   
    autService.getCurrentUser()
      .then (uid => {
        this.eventService.leerTareasExamenes(this.uidAsignatura)
          .then(data => {
            var lista = data.val();
            for (var elem in lista)
            {              
              lista[elem].id = elem;
              this.addEvento(lista[elem]);
            }
          });
      });    
           			
  }

   addEvento(data) 
   {  
        this.eventos.push({
            id: data.id,
            startTime:new Date(data.startTime),
            endTime: new Date(data.endTime),
            title:data.title,
            allDay:data.allDay,
            type:data.type });
   }

   onRegresar()
   {
      this.navCtrl.setRoot(NotasPage);
   }

   onCalificar(evento)
   {
      var id = evento.target.offsetParent.id;
      var titulo = evento.target.innerText;
      
      
      this.navCtrl.setRoot(NotasEventoPage,{uidAsignatura:this.uidAsignatura, tituloAsignatura: this.tituloAsignatura, idEvento:id, tituloEvento:titulo});
   }


}
