import { Component } from '@angular/core';

import { NavController, NavParams } from 'ionic-angular';
import { EventoService } from '../../services/evento';
import { AutService } from '../../services/aut';
import { UsuarioService } from '../../services/usuario';
import { AsignaturasService } from '../../services/asignaturas';
import { Evento } from "../../models/evento";
import { NotasAsignaturaPage } from '../../pages/notas/notasAsignatura';
import { NotasPage } from '../../pages/notas/notas';
import { TabsPage } from '../../pages/tabs/tabs';

@Component({
  selector: 'page-notasEvento',
  templateUrl: 'notasEvento.html',
  providers: [EventoService]
})
export class NotasEventoPage {
  public usuarios: any;
  public notasUsuarios: any;
  private uidAsignatura : string;
  private tituloAsignatura:string;
  private idEvento:string;
  private tituloEvento:string;

  constructor(public navCtrl: NavController,
    private navParams: NavParams,
    private eventService: EventoService,
    private autService: AutService,
    private usrService: UsuarioService,
    private asigService: AsignaturasService) {
    
    this.usuarios = [];
    this.notasUsuarios = [];
    this.uidAsignatura = navParams.get('uidAsignatura');
    this.tituloAsignatura = navParams.get('tituloAsignatura');
    this.idEvento = navParams.get('idEvento');
    this.tituloEvento = navParams.get('tituloEvento');

    console.log("IdEvento.." + this.idEvento);
    autService.getCurrentUser()
      .then (uid => {
          //Leer si la tarea ya tiene nota asignada.          
          this.asigService.obtenerNotas(this.uidAsignatura, this.idEvento)
            .then(data => { 
              console.log("NOTAS ESTABLECIDAS..."+data.val());
              if(data.val() == null)
              {
                  //Leer usuarios matriculados en la asignatura.
          this.asigService.getMatriculados(this.uidAsignatura)
            .then(snap => {
              console.log(snap.val());
              var listaAlumnos = snap.val();
              var alumno, aux;
              for (var i in listaAlumnos)
              {
                alumno = listaAlumnos[i];
                console.log("Id Alumno:" + alumno.id_alumno);

                this.usrService.setUid(alumno.id_alumno);
                this.usrService.leerDatosUsuario()
                  .then(data =>{ 
                    var aux = data.val();
                    this.notasUsuarios.push({id:aux.uid,nombre:aux.nombre,nota:-1});
                  console.log("Usuario:"+data.val());
                 });
                 
              }    
              });
              }
              else
              {
                this.notasUsuarios = data.val();
              }
            })
          

        
        });
           			
  }

  onGuardar()
  {
    console.log("Entro dentro de guardar");
    for(var i=0;i<this.notasUsuarios.length;i++)
      console.log(this.notasUsuarios[i]);

    this.asigService.guardarNotas(this.uidAsignatura, this.idEvento,this.notasUsuarios)
      .then (data => this.navCtrl.setRoot(TabsPage))
  }

  onCancelar()
   {
      this.navCtrl.setRoot(NotasAsignaturaPage,{uidAsignatura: this.uidAsignatura, tituloAsignatura: this.tituloAsignatura});  
   }

   


}
