import { Component } from '@angular/core';
import { NgForm } from '@angular/forms';
import { NavController } from 'ionic-angular';
import { UsuarioService } from '../../services/usuario';
import { AsignaturasService } from '../../services/asignaturas';
import { AutService } from '../../services/aut';
import { SuscripcionesPage } from '../../pages/suscripciones/suscripciones';
import { Asignatura} from "../../models/asignatura";

@Component({
  selector: 'page-suscripcion',
  templateUrl: 'suscripcion.html'
})
export class SuscripcionPage {
	asignaturas: Asignatura[];


	
	constructor(private usrService: UsuarioService, 
			private asigService: AsignaturasService, 
			private autService: AutService,
      private usuarioService: UsuarioService,
			private navCtrl: NavController) {

      this.asignaturas = [];  
		  asigService.getAllAsignaturas()
          .then (lista => {
            var lstAsig = lista.val();

            usuarioService.leerDatosUsuario()
            .then ( data => {   
              const user = data.val();
              const lstSuscrip = user.suscripciones;
              for(var elem in lstAsig)
              {
                var suscrito = false;
                for (var id_suscrip in lstSuscrip)
                {
                  if(elem == lstSuscrip[id_suscrip])
                    suscrito = true; 
                }
                if(!suscrito)
                {                
                lstAsig[elem].id = elem;                            
                this.asignaturas.push(lstAsig[elem]);               
                }
               }
              });          
          })
          .catch(error => console.log(error));    

	 }

	 onCrear( form: NgForm) {
      
   
      var idUsuario = this.autService.getUid();
      var idAsignatura = form.value.id_asignatura;		
      this.usrService.setUid(idUsuario);  
      this.usrService.leerDatosUsuario()
        .then( data => {

          this.usrService.usuario = data.val();
          this.usrService.usuario.suscripciones.push(idAsignatura);
          this.usrService.guardarUsuario()
            .then(data => {             
              this.asigService.matricularAlumno(idAsignatura,idUsuario )
                .then (data => console.log("Guardado CORRECTO"))
            })
            .catch(error => console.log("error"));
          this.navCtrl.setRoot(SuscripcionesPage);
        })
	 }

	 onCancelar() {    
	 	this.navCtrl.setRoot(SuscripcionesPage);
	 }

}