import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { UsuarioService } from '../../services/usuario';
import { AutService } from '../../services/aut';
import { AsignaturasService } from '../../services/asignaturas';
import { SuscripcionPage } from '../../pages/suscripcion/suscripcion';
import { Asignatura} from "../../models/asignatura";
import 'rxjs/Rx';
import firebase from 'firebase';

@Component({
  selector: 'page-suscripciones',
  templateUrl: 'suscripciones.html'
})
export class SuscripcionesPage {
  asignaturas: Asignatura[];
  

  constructor(private navCtrl: NavController,
  		private usuarioService: UsuarioService,
        private asignatService: AsignaturasService,
        private autService: AutService) {
       
       this.asignaturas = [];
       const uid = autService.getUid();

       usuarioService.setUid(uid);
       usuarioService.leerDatosUsuario()
        .then ( data => {          
          const user = data.val();         
          usuarioService.setSuscripciones(user.suscripciones);
          const lstSuscrip = user.suscripciones;
          for (var id_suscrip in lstSuscrip)
          {            
            if(lstSuscrip[id_suscrip] != "")
            {
            this.asignatService.getAsignatura(lstSuscrip[id_suscrip])
              .then( datos => {
                this.asignaturas.push(datos.val());
              })
              .catch(error => console.log(error)); 
            }
            else
              console.log("Asignatura vacia");
          }
        });
      
  		
  }

  onNueva(){
  	this.navCtrl.setRoot(SuscripcionPage);
  }



}
