import { Component } from '@angular/core';

import { MensajesPage } from '../mensajes/mensajes';
import { NotasPage } from '../notas/notas';
import { NotasAlumnoPage } from '../notas/notasAlumno';
import { CalendarioPage } from '../calendario/calendario';
import { UsuarioService } from '../../services/usuario';
import { AutService } from '../../services/aut';


@Component({
  templateUrl: 'tabs.html'
})
export class TabsPage {

  tab1Root = CalendarioPage;
  tab2Root = MensajesPage;
  tab3Root; 

  constructor(private usrService: UsuarioService, private autService: AutService ) {
  	//Obtener tipo de usuario
  	this.autService.getCurrentUser()
  		.then(uid => {
  			this.usrService.setUid(uid);
  			this.usrService.leerDatosUsuario()
  				.then(data => {
	  			var usr= data.val();         
	  			if(usr.tipo == 'docente')
          {            
	  				this.tab3Root = NotasPage;  		
          }
          else
          {
            this.tab3Root= NotasAlumnoPage;
          }
  		});
  	})
  
  }

}
