import { Injectable } from '@angular/core';
import { Asignatura} from "../models/asignatura";
import { Http, Response } from '@angular/http';
import firebase from 'firebase';

@Injectable()
export class AsignaturasService {
	private asignaturas: Asignatura[] ;
	constructor (private http: Http){

	}

	/* Obtiene todas las asignaturas */
	getAllAsignaturas() {
		
		return firebase.database().ref('/asignaturas/').once('value');
	}
	
	/* Obtiene la asignatura con el identificador indicado */
	getAsignatura(id:string){
		return firebase.database().ref('/asignaturas/'+id).once('value');
	}

	/* Obtiene todos los usuarios matriculados en la asignatura con el identificador indicado */
	getMatriculados(idAsignatura:string) {
		return firebase.database().ref('/asignaturas/'+idAsignatura+'/matriculados').once('value');
	}
	/* Obtiene todas las notas de una tarea para una determinada asignatura */
	obtenerNotas(idAsignatura, idTarea)
	{		   
		return firebase.database().ref('/asignaturas/'+idAsignatura+'/eventos/'+idTarea+'/notas/').once('value')
	}

	/* Almacena todas las notas de una tarea para ua determinada asignatura */
	guardarNotas(idAsignatura, idTarea,notasAlumnos)
	{	    
		return firebase.database().ref('/asignaturas/'+idAsignatura+'/eventos/'+idTarea+'/notas/').set(notasAlumnos)
	}

	/* Obtiene las asignaturas que imparte un profesor */
	getAsignaturas(uid_profesor) {	
			
		return firebase.database().ref('/asignaturas/')			
			.orderByChild("uid_profesor")
			.equalTo(uid_profesor)			
			.once('value');
	}

	/* Matricula el alumno identificado por idAlumno en la asignatura indicada en el parametro idAsignatura */

	matricularAlumno(idAsignatura, idAlumno) {		
		return firebase.database().ref('/asignaturas/' + idAsignatura+'/matriculados').push({id_alumno: idAlumno});	
	}

	

}